<template>
  <div>
    <header>
      <h1>{{nombrePagina}}</h1>
      <nav>
        <router-link to="/crear-articulo">Crear articulo</router-link>
      </nav>
    </header>
  </div>
</template>

<script>
export default {
  props: {
    mensajeBienvenida: String,
    nombrePagina: String
  }
};
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>




header {
  width: 100%;
  padding: 1em;
  font-size: 140%;
  position: absolute;
  top: 100vh;
  left: 0;
  transition: opacity .2s ease-in-out;
  text-align: center;
  z-index: 10;
  background: rgba(0, 0, 0, 0.658);

}
header h1 {
  font-weight: 600;
  display: inline;
  margin: 0;
  padding: 0;
  font-size: inherit;
  color: rgb(255, 255, 255);
}
nav a {
  display: inline-block;
  outline: none;
  text-decoration: none;
  opacity: .7;
  padding: 0 .5em;
  color: rgb(255, 255, 255);
  transition: opacity .2s ease-in-out;
}
nav a:hover,
nav a:focus {
  opacity: 1;
}

@media (min-width: 500px) {
  header {
    text-align: left;
  }
  nav {
    float: right;
  }
}
@media (min-width: 800px) {
  article {
    margin: 3.5em auto;
  }
}
  header {
    position: fixed;
    top: 0;
    box-shadow: rgba(0,0,0,.05) 0 3px 15px;
  }


</style>
